<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GncDistributionBean" />

    </data>

    <RelativeLayout
        android:id="@+id/rl"
        shape_bg_color='@{bean.locPriority.equals("1") ? @color/item_yellow : @color/white}'
        shape_radius="@{8}"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:layout_marginTop="10dp"
        android:background="@color/white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            android:padding="10dp">

<!--            <LinearLayout-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content">-->

<!--                <TextView-->
<!--                    android:layout_width="wrap_content"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:text="平板车："-->
<!--                    android:textColor="@color/text_normal"-->
<!--                    android:textSize="16sp"-->
<!--                    android:textStyle="bold" />-->

<!--                <TextView-->
<!--                    android:layout_width="wrap_content"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:text="@{bean.carId}"-->
<!--                    android:textColor='@{bean.spCodeStatus.equals("1") ? @color/red : @color/colorPrimary}'-->
<!--                    android:textSize="16sp"-->
<!--                    android:textStyle="bold"-->
<!--                    tools:textColor="@color/colorPrimary" />-->

<!--                <TextView-->
<!--                    android:layout_width="0dp "-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_weight="1.2"-->
<!--                    android:text="@{bean.fdest}"-->
<!--                    android:textColor="@color/text_normal"-->
<!--                    android:layout_marginStart="16dp"-->
<!--                    android:gravity="end" />-->
<!--            </LinearLayout>-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <!-- 左侧区域：占一半宽度，用于居中"平板车" -->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.7"
                    android:orientation="horizontal"
                    android:gravity="end"> <!-- 内容靠右对齐 -->

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="平板车："
                        android:textColor="@color/text_normal"
                        android:textSize="16sp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.carId}"
                        android:textColor='@{bean.spCodeStatus.equals("1") ? @color/red : @color/colorPrimary}'
                        android:textSize="16sp"
                        android:textStyle="bold"
                        android:layout_marginStart="8dp"
                        tools:textColor="@color/colorPrimary" />
                </LinearLayout>

                <!-- 右侧区域：占一半宽度，用于放置 fdest -->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.3"
                    android:orientation="horizontal"
                    android:gravity="end"> <!-- 内容靠右对齐 -->

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.fdest}"
                        android:textColor="@color/text_normal"
                        android:layout_marginStart="16dp" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="计划日期：" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.fdate}"
                    android:textColor="@color/text_normal" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="计划航班：" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.fno}"
                    android:textColor="@color/text_normal" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="截载日期：" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.mftFdate}"
                    android:textColor="@{bean.compareMftFlight ? @color/text_normal : @color/orange}" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="截载航班：" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.mftFno}"
                    android:textColor="@{bean.compareMftFlight ? @color/text_normal : @color/orange}" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="计划起飞：" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.scheduledTackOffHM}"
                        android:textColor="@color/text_normal"
                        tools:text="21:00" />

                    <TextView
                        visible="@{bean.verifyscheduledTackOffNextDay()}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:text="+1"
                        android:textColor="@color/red" />

                </LinearLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="机\u3000\u3000位：" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.standId}"
                    android:textColor="@color/text_normal" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="复磅状态：" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.checkFlagName}"
                    android:textColor='@{bean.checkFlagName.equals("未复磅") ? @color/text_gray: @color/blue}' />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="存放区域：" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.storageArea}"
                    android:textColor="@color/orange" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="分配状态：" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.allocationStatusName}"
                    android:textColor='@{bean.allocationStatusName.equals("已分配") ? @color/green: @color/text_gray}' />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="分配司机：" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.allocationDriver}"
                    android:textColor="#e943e1" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="分配人：\u3000" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.username}" />
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="加货标识："/>

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.addCargoFlagName}"
                    android:textColor="#FF5722" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="分配时间：" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:text="@{bean.allocationDate}" />
            </LinearLayout>

        </LinearLayout>

        <ImageView
            android:id="@+id/iv_icon"
            loadImage="@{bean.checked ? @drawable/img_plane_s : @drawable/img_plane}"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/img_plane" />

    </RelativeLayout>
</layout>